hpp-python: pyhpp::core::path::SplineWrapper< _PolynomeBasis, _Order > Struct Template Reference

hpp-python 9.0.2 python bindings for HPP, based on boost python

Loading...
Searching...
No Matches
Public Types | Static Public Member Functions | List of all members
pyhpp::core::path::SplineWrapper< _PolynomeBasis, _Order > Struct Template Reference

## Public Types
typedef Spline< _PolynomeBasis, _Order > | S_t
typedef S_t::Ptr_t | Ptr_t

## Static Public Member Functions
static void | parameterDerivativeCoefficients (const S_t &s, vectorRef_t res, const value_type &t)
static void | parameterIntegrate (S_t &s, const vector_t &dParam)
static void | squaredNormIntegralDerivative (const S_t &s, const size_type order, vectorRef_t res)
static void | basisFunctionDerivative (const S_t &s, const size_type order, const value_type &u, vectorRef_t res)
static void | squaredNormBasisFunctionIntegral (const S_t &s, const size_type order, matrixRef_t res)
static vector_t | rowParameters (const S_t &s)
static vector_t | py_parameterDerivativeCoefficients (const S_t &s, const value_type &t)
static void | expose (const char *name)

## Member Typedef Documentation

## ◆ Ptr_t

template<int _PolynomeBasis, int _Order>

typedef S_t::Ptr_t pyhpp::core::path::SplineWrapper< _PolynomeBasis, _Order >::Ptr_t

## ◆ S_t

template<int _PolynomeBasis, int _Order>

typedef Spline<_PolynomeBasis, _Order> pyhpp::core::path::SplineWrapper< _PolynomeBasis, _Order >::S_t

## Member Function Documentation

## ◆ basisFunctionDerivative()

template<int _PolynomeBasis, int _Order>

static void pyhpp::core::path::SplineWrapper< _PolynomeBasis, _Order >::basisFunctionDerivative | ( | const S_t & | s,
|  | const size_type | order,
|  | const value_type & | u,
|  | vectorRef_t | res )
| inlinestatic

## ◆ expose()

template<int _PolynomeBasis, int _Order>

static void pyhpp::core::path::SplineWrapper< _PolynomeBasis, _Order >::expose | ( | const char * | name | ) |
| inlinestatic

## ◆ parameterDerivativeCoefficients()

template<int _PolynomeBasis, int _Order>

static void pyhpp::core::path::SplineWrapper< _PolynomeBasis, _Order >::parameterDerivativeCoefficients | ( | const S_t & | s,
|  | vectorRef_t | res,
|  | const value_type & | t )
| inlinestatic

## ◆ parameterIntegrate()

template<int _PolynomeBasis, int _Order>

static void pyhpp::core::path::SplineWrapper< _PolynomeBasis, _Order >::parameterIntegrate | ( | S_t & | s,
|  | const vector_t & | dParam )
| inlinestatic

## ◆ py_parameterDerivativeCoefficients()

template<int _PolynomeBasis, int _Order>

static vector_t pyhpp::core::path::SplineWrapper< _PolynomeBasis, _Order >::py_parameterDerivativeCoefficients | ( | const S_t & | s,
|  | const value_type & | t )
| inlinestatic

## ◆ rowParameters()

template<int _PolynomeBasis, int _Order>

static vector_t pyhpp::core::path::SplineWrapper< _PolynomeBasis, _Order >::rowParameters | ( | const S_t & | s | ) |
| inlinestatic

## ◆ squaredNormBasisFunctionIntegral()

template<int _PolynomeBasis, int _Order>

static void pyhpp::core::path::SplineWrapper< _PolynomeBasis, _Order >::squaredNormBasisFunctionIntegral | ( | const S_t & | s,
|  | const size_type | order,
|  | matrixRef_t | res )
| inlinestatic

## ◆ squaredNormIntegralDerivative()

template<int _PolynomeBasis, int _Order>

static void pyhpp::core::path::SplineWrapper< _PolynomeBasis, _Order >::squaredNormIntegralDerivative | ( | const S_t & | s,
|  | const size_type | order,
|  | vectorRef_t | res )
| inlinestatic

The documentation for this struct was generated from the following file:

- src/pyhpp/core/path/spline.cc